/*
 * Copyright (c) 1996-1997, InetSoft Technology Corp, All Rights Reserved.
 *
 * The software and information contained herein are copyrighted and 
 * proprietary to InetSoft Technology Corp. This software is furnished 
 * pursuant to a written license agreement and may be used, copied, 
 * transmitted, and stored only in accordance with the terms of such 
 * license and with the inclusion of the above copyright notice. Please 
 * refer to the file "COPYRIGHT" for further copyright and licensing 
 * information. This software and information or any other copies 
 * thereof may not be provided or otherwise made available to any other 
 * person. 
 */
package itrade.gui;

import java.awt.*;

class BorderedPanel extends Panel {
   Insets       insets;
   
   public BorderedPanel() {
      super();
   }

   public BorderedPanel(LayoutManager layout) {
       super(layout);
   }

   public BorderedPanel(LayoutManager layout, Insets in) {
       super(layout);
       insets = in;
   }
    
   public Insets getInsets() {
      return insets;
   }  
}
