/*
 * Copyright (c) 1996-1997, InetSoft Technology Corp, All Rights Reserved.
 *
 * The software and information contained herein are copyrighted and 
 * proprietary to InetSoft Technology Corp. This software is furnished 
 * pursuant to a written license agreement and may be used, copied, 
 * transmitted, and stored only in accordance with the terms of such 
 * license and with the inclusion of the above copyright notice. Please 
 * refer to the file "COPYRIGHT" for further copyright and licensing 
 * information. This software and information or any other copies 
 * thereof may not be provided or otherwise made available to any other 
 * person. 
 */
package itrade.service;

import java.net.*;
import java.rmi.*;
import java.rmi.server.*;
import bamboo.pipe.*;

class NewsService {
   static String[]   msg = {
"AAPL 16-1/4 AMAT 90 ADBE 37-1/16 WFR 29-7/16  US Labor department reported lower than expected unemployment figure.",
"^BIN 27-1/2 BKH 25-7/8 BOCI 10-3/8 T 39-1/2 Budget agreement announced by Republican congress and the White house.",
"Budget details spelled out. Capital gain tax at 20% for min 18 month holding. $500 children tax credit for family with income up to 110,000.", 
"^Thailand currency under attack again. Major brokerage house Stupidity Brothers International revealed staggering lost of US$ 2B in currency derivative market."
   };
   
   public static void main(String argv[]) {
      BambooPipe  pipe;
      Producer    prd;
      
      try {
         pipe = (BambooPipe)Naming.lookup("//" + 
                    InetAddress.getLocalHost().getHostName() + "/pipe");
	 prd = pipe.producerLogin("news", "newsServer", "newsp", null, true); 

	 for (int i = 0; true; i++) {
	    i = i % msg.length;
	    prd.beginTrans();
	    prd.sendObj(msg[i]);
	    prd.commitTrans();
	    Thread.sleep(40 * 1000);
	 }
      }
      catch(Exception e) {
	 e.printStackTrace();
	 return;
      }
   }
}
      






